{
  inputs.systems.url = "github:nix-systems/default";
  outputs = { self, systems, nixpkgs }: let
    lib = nixpkgs.lib;
    eachSystem = lib.genAttrs (import systems);
  in {
    devShells = eachSystem (system: let pkgs = import nixpkgs { inherit system; };
    in {
      default = pkgs.mkShell {
        buildInputs = with pkgs; [ self.packages.${system}.packwiz-wrapper nix-update ];
      };
    });
    packages = eachSystem (system: let pkgs = import nixpkgs { inherit system; };
    in pkgs.callPackages ./nix/packages { });
  };
}
